﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _918266_RadGridView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            GridViewTextBoxColumn textBoxColumn = new GridViewTextBoxColumn();
            textBoxColumn.Name = "TextBoxColumn";
            textBoxColumn.HeaderText = "TextBoxColumn";
            textBoxColumn.FieldName = "TextBoxColumn";
            textBoxColumn.Width = 150;
            radGridView1.MasterTemplate.Columns.Add(textBoxColumn);

            GridViewCommandColumn commandColumn = new GridViewCommandColumn();
            commandColumn.Name = "CommandColumn";
            commandColumn.UseDefaultText = false;
            commandColumn.FieldName = "CommandColumn";
            commandColumn.HeaderText = "CommandColumn";
            commandColumn.Width = 150;
            radGridView1.MasterTemplate.Columns.Add(commandColumn);

            for (int i = 0; i < 5; i++)
            {
                this.radGridView1.Rows.Add("text " + i, "add");
            }

            this.radGridView1.CellFormatting += radGridView1_CellFormatting;
            //this.radGridView1.CommandCellClick += radGridView1_CommandCellClick;
        }

        void radGridView1_CommandCellClick(object sender, EventArgs e)
        {
            GridCommandCellElement cell = sender as GridCommandCellElement;
            cell.CommandButton.ButtonFillElement.BackColor = Color.GreenYellow;
        }

        void radGridView1_CellFormatting(object sender, CellFormattingEventArgs e)
        {
            if (e.CellElement.ColumnInfo is GridViewCommandColumn)
            {
                GridCommandCellElement element = (GridCommandCellElement)e.CellElement;
                element.CommandButton.ButtonFillElement.BackColor = Color.GreenYellow;
                element.CommandButton.ButtonFillElement.GradientStyle = Telerik.WinControls.GradientStyles.Solid;
            }
        }
    }
}
